> For the complete documentation index, see [llms.txt](https://docs.infoway.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infoway.io/rest-api/basic-info/get-tao-can-xin-xi.md).

# GET 套餐信息

查询当前 API Key 对应的套餐配额。

### 接口说明

通过请求头 `apiKey` 查询套餐名称、到期时间、HTTP 频率、WebSocket 连接数与可订阅产品数。HTTP 频率含义见 [HTTP接口限制](/getting-started/api-limitation/http.md)，连接数见 [WebSocket限制](/getting-started/api-limitation/websocket.md)。

### 接口地址

* 基本路径：`/package/info`
* 完整路径：`https://data.infoway.io/package/info`

```http
GET https://data.infoway.io/package/info
```

### 请求头

| 参数       | 类型     | 必填 | 描述                      |
| -------- | ------ | -- | ----------------------- |
| `apiKey` | String | 是  | 套餐 API Key。也接受 `apikey` |

无 Query / Body。

### 错误说明

缺 key 或 key 不存在时，常见 `ret=500`，`msg` 为 `apiKey is required` 或 `Apikey not exists`。见 [HTTP错误码](/getting-started/error-codes/http.md)。

### 返回字段

| 字段               | 类型      | 描述              |
| ---------------- | ------- | --------------- |
| `packageName`    | String  | 套餐名称            |
| `expireTime`     | Long    | 到期时间戳           |
| `apiNumPerSec`   | Integer | 每秒 HTTP 调用次数    |
| `maxWsConNum`    | Integer | WebSocket 最大连接数 |
| `maxNum`         | Integer | 单连接最大可订阅数量      |
| `maxYearHisData` | Number  | 可查历史 K 线年数      |
| `allWsNum`       | Integer | 全部连接可订阅产品总数     |
